#ifndef  EXAMPLE_HOST_LOADER_FILE
	#define EXAMPLE_HOST_LOADER_FILE

//--------------------------------------------------------------------------//
// Header files																//
//--------------------------------------------------------------------------//
#include <sysreg.h>
#include <signal.h>
#include <def2191.h>

//--------------------------------------------------------------------------//
// Symbolic constants														//
//--------------------------------------------------------------------------//
// The following constants define addresses and values for handshaking.
// The Host will clear these memory locations prior to starting the DSP.
// The Host Port ISR writes the handshake values into the handshake locations
// in memory after program start, which confirms successful booting of the DSP
// (can be checked by the Host).
#define HANDSHAKE_ADDRESS_DM	0xffff
#define HANDSHAKE_VALUE_DM		0x1234
asm("#define HANDSHAKE_ADDRESS_PM	0x7fff");
asm("#define HANDSHAKE_VALUE_PM_MSW	0x1234");
asm("#define HANDSHAKE_VALUE_PM_LSW	0x56");

//--------------------------------------------------------------------------//
// Prototypes																//
//--------------------------------------------------------------------------//
// in file "Initialisation.c"
void Init_Interrupts(void);
void Init_Timer0(void);
void Init_Flags(void);

// in file "ISRs.c"
void Timer0_ISR(int iSignal);
void HPI_ISR(int iSignal);

#endif											// EXAMPLE_HOST_LOADER_FILE

